import java.io.*;
import java.applet.Applet;
import java.awt.*;
import java.awt.event.*;
import java.util.*;
import javax.swing.*;
import javax.swing.table.*;
import java.awt.*;
import java.awt.event.*;
import java.awt.geom.*;


public class  kontrol_kutusu2 extends JApplet implements ActionListener,ItemListener
{
  Container c;
  JPanel inputPanel;
  JButton b;
  JTextField t;
  JCheckBox kalin,italik;
  int kirmizi,yesil,mavi;
  int normal_font,kalin_font,italik_font;
  public Color renk;
  String s;
  public void init()
  {    
	s="Bu yazının sitilini değiştirin";
	renk=Color.blue;
	c=getContentPane();
    inputPanel=new JPanel();
    inputPanel.setLayout(new GridLayout(4,1));
    b=new JButton("ekran rengini değiştirmek için düğme'ye basınız");
    t=new JTextField(s);
    italik_font=Font.PLAIN;
	kalin_font=Font.PLAIN;
	t.setFont(new Font("TimesRoman",kalin_font+italik_font,14));
    kalin=new JCheckBox("Kalın");
    italik=new JCheckBox("İtalik");    
    inputPanel.add(b,BorderLayout.NORTH);
    inputPanel.add(t);
    inputPanel.add(kalin);
    inputPanel.add(italik); 
    c.add(inputPanel);
    b.addActionListener(this);
    italik.addItemListener(this);
    kalin.addItemListener(this);
  }

public void itemStateChanged(ItemEvent e)
{   if(e.getSource()==kalin)
    { if(e.getStateChange()==ItemEvent.SELECTED)
        {kalin_font=Font.BOLD;}
      else
        {kalin_font=Font.PLAIN;}
    }
    else if(e.getSource()==italik)
    { if(e.getStateChange()==ItemEvent.SELECTED)
        {italik_font=Font.ITALIC;}
      else
        {italik_font=Font.PLAIN;}
    }
    t.setFont(new Font("TimesRoman",kalin_font+italik_font,14));
    repaint();
}


public void actionPerformed( ActionEvent e)
{
//tesadüfi renk belirle düğmeye her basılışta rengi değiştir.	
kirmizi=(int)(255.0*Math.random());
yesil  =(int)(255.0*Math.random());
mavi   =(int)(255.0*Math.random());
renk=new Color(kirmizi,yesil,mavi);
//input panelin rengini değiştiriyoruz
inputPanel.setBackground(renk);
//ana panelin rengini değiştiriyoruz
c.setBackground(renk);
//yazı kutusunun rengini değiştiriyoruz
t.setBackground(renk);
kalin.setBackground(renk);
italik.setBackground(renk);
repaint();
}

    public static void main(String s[])
    {
        JFrame f = new JFrame("Grafik ekran düğme kontrol programı");
        f.addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {System.exit(0);}
        });
        JApplet applet = new kontrol_kutusu2();
        f.getContentPane().add("Center", applet);
        applet.init();
        f.pack();
        f.setSize(new Dimension(545,400));
        f.setVisible(true);
    }
}





